Gallery Platform API
Reference

Get a publication

Returns a single publication with its (membership-gated) price.

GET
/gallery/publications/{id}

Returns a single publication with its (membership-gated) price.

Authorization

bearerAuth publications:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: publications:read

Path Parameters

id*string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "id": "string",  "title": "string",  "subtitle": "string",  "publisher": "string",  "isbn": "string",  "editor": "string",  "author": "string",  "page_count": -9007199254740991,  "publication_year": -9007199254740991,  "dimensions_text": "string",  "inventory_number": "string",  "description": "string",  "stock_quantity": -9007199254740991,  "availability_state": "available",  "cover_image_path": "string",  "published_at": "string",  "visibility": "public",  "show_price_publicly": true,  "price_cents": -9007199254740991,  "currency": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "created_at": "string",  "updated_at": "string"}